// $Id$

//=============================================================================
/**
 *  @file    ace_common.h
 *
 *  @author Fukasawa Mitsuo
 *
 *
 *    Copyright (C) 2004 BEE Co.,Ltd. All rights reserved.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
//=============================================================================

#ifndef JYUGEM_BEE_ACE_COMMON_H
#define JYUGEM_BEE_ACE_COMMON_H

#ifdef _MSC_VER
#pragma warning( disable: 4244 )
#endif

#include "jyugem/bee.h"
#include "jyugem/bee/log_manager.h"

using namespace jyugem::bee;

namespace jyugem { namespace bee { namespace ace
{

// Initial ACE Library
int BEE_Export init();

// milli-seconds sleep
inline void msleep(long milli_seconds)
{
  ACE_Time_Value tv(0, milli_seconds * 1000);
  ACE_OS::sleep(tv);
}


} } } // *namespace* jyugem::bee::ace

#endif
