// $Id$

//=============================================================================
/**
 *  @file    init.cpp
 *
 *  @author Fukasawa Mitsuo
 *
 *
 *    Copyright (C) 2004 BEE Co.,Ltd. All rights reserved.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
//=============================================================================

#define BEE_BUILD_DLL

#include "jyugem/bee.h"
#include "jyugem/bee/uuid.h"

namespace jyugem { namespace bee
{
//
//
//
static MUTEX_Bool _init = false;

//Initialize bee library
void BEE_Export init_bee()
{
  if (_init == false)
  {
    uuid::init();
    _init = true;
  }
}

void BEE_Export fini_bee()
{
  _init = false;
}


} }  // *namespace* - jyugem::bee
